Package org.codehaus.groovy.classgen.asm

# Class AssertionWriter

java.lang.Object
org.codehaus.groovy.classgen.asm.AssertionWriter

public class AssertionWriter extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssertionWriter(WriterController wc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `disableTracker()`
  `void`
  `record(Expression expression)`
  `void`
  `record(Token token)`
  `void`
  `reenableTracker()`
  `void`
  `writeAssertStatement(AssertStatement statement)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssertionWriter

    public AssertionWriter(WriterController wc)

- ## Method Details

  - ### writeAssertStatement

    public void writeAssertStatement(AssertStatement statement)

  - ### disableTracker

    public void disableTracker()

  - ### reenableTracker

    public void reenableTracker()

  - ### record

    public void record(Token token)

  - ### record

    public void record(Expression expression)